summaryrefslogtreecommitdiffstats
path: root/build
diff options
context:
space:
mode:
Diffstat (limited to 'build')
-rwxr-xr-xbuild/creating_data/docker-images-collector.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build/creating_data/docker-images-collector.sh b/build/creating_data/docker-images-collector.sh
index db085618..73c19bc4 100755
--- a/build/creating_data/docker-images-collector.sh
+++ b/build/creating_data/docker-images-collector.sh
@@ -90,6 +90,15 @@ validate_port() {
fi
}
+check_helm() {
+ sleep 2 # let the helm process settle
+ if [ $(pgrep -f "helm serve --address ${HELM_REPO}" -c) -eq 0 ];
+ then
+ echo "Fatal: Helm chart repository server failed to start"
+ exit 1
+ fi
+}
+
# Proccess input options
if [ $# -lt 1 ]; then
usage
@@ -154,6 +163,7 @@ mkdir -p "${PROJECT_DIR}/../${HELM_REPO_PATH}"
helm init -c --local-repo-url "http://${HELM_REPO}"
helm serve --address ${HELM_REPO} --repo-path "${PROJECT_DIR}/../${HELM_REPO_PATH}" &
helm repo remove stable 2>/dev/null || true
+check_helm
# Make all
pushd "${PROJECT_DIR}/.."